summaryrefslogtreecommitdiff
path: root/libraries
diff options
context:
space:
mode:
authorFrank Gingras <francois.gingras@gmail.com>2010-05-11 22:54:08 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:08 +0200
commit9095a92bf962e00ca63553eb764bc9af497e94d6 (patch)
tree2775a8f76103097d667e5fcc22973f850d25dacc /libraries
parent19ff063af4b5a6e45209ffcbffd78385d37cca76 (diff)
downloadslackbuilds-9095a92bf962e00ca63553eb764bc9af497e94d6.tar.gz
libraries/libmcrypt: Added to 12.1 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libmcrypt/README14
-rw-r--r--libraries/libmcrypt/libmcrypt.SlackBuild76
-rw-r--r--libraries/libmcrypt/libmcrypt.info8
-rw-r--r--libraries/libmcrypt/slack-desc12
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/libmcrypt/README b/libraries/libmcrypt/README
new file mode 100644
index 0000000000..8e6b21d829
--- /dev/null
+++ b/libraries/libmcrypt/README
@@ -0,0 +1,14 @@
+libmcrypt (encryption functions for MCrypt)
+
+mcrypt is a program for encrypting files or streams. It is intended
+to be a replacement for the old UNIX crypt. It uses well-known and
+well-tested algorithms like BLOWFISH, AES, ARCFOUR, CAST-128, and
+more in several modes or operation.
+
+This package is configured with --disable-posix-threads. Using the worker
+or event MPM with apache can lead to instability when using mod_php and
+non-thread-safe extensions. The flag can be safely removed from the
+slackbuild when the prefork MPM is used, or when apache will not be installed
+or running on the target machine.
+
+See http://php.net/manual/en/mcrypt.installation.php for more details.
diff --git a/libraries/libmcrypt/libmcrypt.SlackBuild b/libraries/libmcrypt/libmcrypt.SlackBuild
new file mode 100644
index 0000000000..96c25166be
--- /dev/null
+++ b/libraries/libmcrypt/libmcrypt.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for libmcrypt
+
+# Written by Frank Gingras (francois.gingras@gmail.com)
+
+PRGNAM=libmcrypt
+VERSION=2.5.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-shared=yes \
+ --enable-static=no \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-posix-threads
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS INSTALL KNOWN-BUGS NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libmcrypt/libmcrypt.info b/libraries/libmcrypt/libmcrypt.info
new file mode 100644
index 0000000000..963030766b
--- /dev/null
+++ b/libraries/libmcrypt/libmcrypt.info
@@ -0,0 +1,8 @@
+PRGNAM="libmcrypt"
+VERSION="2.5.8"
+HOMEPAGE="http://mcrypt.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mcrypt/libmcrypt-2.5.8.tar.bz2"
+MD5SUM="c4f491dd411a09e9de3b8702ea6f73eb"
+MAINTAINER="Frank Gingras"
+EMAIL="francois.gingras@gmail.com"
+APPROVED="David Somero"
diff --git a/libraries/libmcrypt/slack-desc b/libraries/libmcrypt/slack-desc
new file mode 100644
index 0000000000..1b948f6dbe
--- /dev/null
+++ b/libraries/libmcrypt/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+libmcrypt: libmcrypt (encryption functions for MCrypt)
+libmcrypt:
+libmcrypt: mcrypt is a program for encrypting files or streams. It is intended
+libmcrypt: to be a replacement for the old UNIX crypt. It uses well-known and
+libmcrypt: well-tested algorithms like BLOWFISH, AES, ARCFOUR, CAST-128, and
+libmcrypt: more in several modes or operation.
+libmcrypt:
+libmcrypt:
+libmcrypt:
+libmcrypt: It can be obtained from http://freshmeat.net/projects/mcrypt/
+libmcrypt: